import * as $dara from '@darabonba/typescript';
import { ListFullNatEntriesResponseBody } from "./ListFullNatEntriesResponseBody";
export declare class ListFullNatEntriesResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListFullNatEntriesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
